Package org.apache.sling.cms

## Class CMSConstants

- java.lang.Object
- - org.apache.sling.cms.CMSConstants

    public class CMSConstants
    extends Object

Constants used throughout the Sling CMS

### Field Summary

Fields
`static String` `ATTR_EDIT_ENABLED` The Request attribute for whether or not editing is enabled
`static String` `COMPONENT_TYPE_PAGE` The Component type for pages
`static String` `CONTENT_PATH` Content path.
`static String` `GROUP_ADMINISTRATORS` The name of the group for super users
`static String` `GROUP_JOB_USERS` The name of the group for the users who can execute jobs
`static String` `INSIGHTS_CA_CONFIG_BUCKET` The bucket for the Insights CA Configs
`static String` `NAMESPACE` Node type base.
`static String` `NN_METADATA` The subpath for the metadata under sling:File resources
`static String` `NT_COMPONENT` Component node type.
`static String` `NT_CONFIG` Config node type.
`static String` `NT_FILE` File node type
`static String` `NT_PAGE` Page node type.
`static String` `NT_SITE` Site node type.
`static String` `NT_UGC` User Generated Content node type.
`static String` `PN_CONFIG_REF` Constant for the CA Config Reference
`static String` `PN_DESCRIPTION` Description attribute name
`static String` `PN_LANGUAGE` i18n Locale property
`static String` `PN_LAST_MODIFIED_BY` Constant for the last modified by user
`static String` `PN_LAST_PUBLICATION` The last time the page was published
`static String` `PN_LAST_PUBLICATION_BY` The last time the page was published
`static String` `PN_LAST_PUBLICATION_TYPE` The last publication action
`static String` `PN_PUBLISHED` Published flag property
`static String` `PN_SITE_URL` Constant for the Site URL
`static String` `PN_TAXONOMY` Taxonomy attribute name
`static String` `PN_TEMPLATE` Template attribute name
`static String` `PN_TITLE` Title attribute name
`static String[]` `PUBLISHABLE_TYPES` The resource types which can be published
`static String` `USER_ADMIN` The name of the admin user

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ATTR_EDIT_ENABLED

    public static final String ATTR_EDIT_ENABLED

The Request attribute for whether or not editing is enabled

See Also:
  Constant Field Values

#### COMPONENT_TYPE_PAGE

    public static final String COMPONENT_TYPE_PAGE

The Component type for pages

See Also:
  Constant Field Values

#### CONTENT_PATH

    public static final String CONTENT_PATH

Content path.

See Also:
  Constant Field Values

#### GROUP_ADMINISTRATORS

    public static final String GROUP_ADMINISTRATORS

The name of the group for super users

See Also:
  Constant Field Values

#### GROUP_JOB_USERS

    public static final String GROUP_JOB_USERS

The name of the group for the users who can execute jobs

See Also:
  Constant Field Values

#### INSIGHTS_CA_CONFIG_BUCKET

    public static final String INSIGHTS_CA_CONFIG_BUCKET

The bucket for the Insights CA Configs

See Also:
  Constant Field Values

#### NAMESPACE

    public static final String NAMESPACE

Node type base.

See Also:
  Constant Field Values

#### NN_METADATA

    public static final String NN_METADATA

The subpath for the metadata under sling:File resources

See Also:
  Constant Field Values

#### NT_CONFIG

    public static final String NT_CONFIG

Config node type.

See Also:
  Constant Field Values

#### NT_COMPONENT

    public static final String NT_COMPONENT

Component node type.

See Also:
  Constant Field Values

#### NT_FILE

    public static final String NT_FILE

File node type

See Also:
  Constant Field Values

#### NT_PAGE

    public static final String NT_PAGE

Page node type.

See Also:
  Constant Field Values

#### NT_SITE

    public static final String NT_SITE

Site node type.

See Also:
  Constant Field Values

#### NT_UGC

    public static final String NT_UGC

User Generated Content node type.

See Also:
  Constant Field Values

#### PN_CONFIG_REF

    public static final String PN_CONFIG_REF

Constant for the CA Config Reference

See Also:
  Constant Field Values

#### PN_DESCRIPTION

    public static final String PN_DESCRIPTION

Description attribute name

See Also:
  Constant Field Values

#### PN_LANGUAGE

    public static final String PN_LANGUAGE

i18n Locale property

See Also:
  Constant Field Values

#### PN_LAST_MODIFIED_BY

    public static final String PN_LAST_MODIFIED_BY

Constant for the last modified by user

See Also:
  Constant Field Values

#### PN_PUBLISHED

    public static final String PN_PUBLISHED

Published flag property

See Also:
  Constant Field Values

#### PN_LAST_PUBLICATION

    public static final String PN_LAST_PUBLICATION

The last time the page was published

See Also:
  Constant Field Values

#### PN_LAST_PUBLICATION_BY

    public static final String PN_LAST_PUBLICATION_BY

The last time the page was published

See Also:
  Constant Field Values

#### PN_LAST_PUBLICATION_TYPE

    public static final String PN_LAST_PUBLICATION_TYPE

The last publication action

See Also:
  Constant Field Values

#### PN_SITE_URL

    public static final String PN_SITE_URL

Constant for the Site URL

See Also:
  Constant Field Values

#### PN_TAXONOMY

    public static final String PN_TAXONOMY

Taxonomy attribute name

See Also:
  Constant Field Values

#### PN_TEMPLATE

    public static final String PN_TEMPLATE

Template attribute name

See Also:
  Constant Field Values

#### PN_TITLE

    public static final String PN_TITLE

Title attribute name

See Also:
  Constant Field Values

#### PUBLISHABLE_TYPES

    public static final String[] PUBLISHABLE_TYPES

The resource types which can be published

#### USER_ADMIN

    public static final String USER_ADMIN

The name of the admin user

See Also:
  Constant Field Values